
QGIS Application - Bug report #19358

Random unexplained crashes 

2018-07-09 11:45 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.3(master) Regression?: No

Operating System: Debian 9.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 27186

Description

Caused by config settings inherited from 3.0

Related issues:

Related to QGIS Application - Bug report # 19291: Only limited number of laye... Open 2018-06-28

History

#1 - 2018-07-09 11:50 AM - Jürgen Fischer

- Related to Bug report #19291: Only limited number of layers displayed with 3.2 added

#2 - 2018-07-09 12:19 PM - Patrick Dunford

The config attached is (presumably) different from the one attached to the related bug 19291.

https://drive.google.com/open?id=1Fs5VvMrsueBOF57AXSHQAdx55TJcbHG3

#3 - 2018-07-20 08:03 AM - Nyall Dawson

- Status changed from Open to In Progress

Can you post more details? What triggers the crash? What setting causes it?

#4 - 2018-07-21 04:14 AM - Patrick Dunford

I'm sorry that I can't give any more information. All I was doing was dragging the map canvas when the software crashed. The crashes stopped after I

removed the configuration and allowed the software to create a new configuration profile.

#5 - 2018-07-21 10:40 AM - Giovanni Manghi

- Status changed from In Progress to Feedback

Patrick Dunford wrote:

I'm sorry that I can't give any more information. All I was doing was dragging the map canvas when the software crashed. The crashes stopped after

I removed the configuration and allowed the software to create a new configuration profile.
https://drive.google.com/open?id=1Fs5VvMrsueBOF57AXSHQAdx55TJcbHG3


very unlikely we will be able to replicate in a consistent way... closing?

#6 - 2018-08-16 02:22 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Reopen if a clear way to replicate is found.
